"use strict";
const common_vendor = require("../../common/vendor.js");
const pages_me_method = require("./method.js");
const pages_me_model = require("./model.js");
const common_libraries_userUserLogin = require("../../common/libraries/userUserLogin.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_up_avatar2 = common_vendor.resolveComponent("up-avatar");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_up_avatar2 + _easycom_uni_icons2)();
}
const _easycom_up_avatar = () => "../../node-modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_up_avatar + _easycom_uni_icons)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.index.getAccountInfoSync();
    common_vendor.ref("");
    common_vendor.onShow(async () => {
      var _a, _b, _c, _d;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      (_b = pages_me_method.method) == null ? void 0 : _b.init();
      if ((_c = common_libraries_userUserLogin.getUser) == null ? void 0 : _c.getLoginStatus()) {
        (_d = pages_me_method.method) == null ? void 0 : _d.getCountGridHouse();
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v;
      return common_vendor.e({
        a: (_b = (_a = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _a.value) == null ? void 0 : _b.avatar
      }, ((_d = (_c = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _c.value) == null ? void 0 : _d.avatar) ? {
        b: common_vendor.p({
          src: (_g = (_f = (_e = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _e.value) == null ? void 0 : _f.avatar[0]) == null ? void 0 : _g.url,
          size: "120rpx"
        })
      } : {
        c: common_vendor.p({
          size: "120rpx"
        })
      }, {
        d: (_h = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _h.value
      }, ((_i = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _i.value) ? common_vendor.e({
        e: (_k = (_j = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _j.value) == null ? void 0 : _k.name
      }, ((_m = (_l = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _l.value) == null ? void 0 : _m.name) ? {
        f: common_vendor.t((_o = (_n = common_vendor.unref(pages_me_model.useModel).userData) == null ? void 0 : _n.value) == null ? void 0 : _o.name),
        g: common_vendor.p({
          type: "right",
          size: "15",
          color: "#666"
        })
      } : {
        h: common_vendor.p({
          type: "right",
          size: "15",
          color: "#666"
        })
      }, {
        i: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(pages_me_method.method)) == null ? void 0 : _a2.handleJinGang({
            url: "/ME/update/index"
          });
        })
      }) : {
        j: common_vendor.p({
          type: "right",
          size: "15",
          color: "#666"
        }),
        k: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(pages_me_method.method)) == null ? void 0 : _a2.handleJinGang({
            url: "/pages/login"
          });
        })
      }, {
        l: common_vendor.t(((_s = (_r = (_q = (_p = common_vendor.unref(pages_me_model.useModel)) == null ? void 0 : _p.gridHouseData) == null ? void 0 : _q.value) == null ? void 0 : _r.position) == null ? void 0 : _s.name) || "-"),
        m: common_vendor.t(((_v = (_u = (_t = common_vendor.unref(pages_me_model.useModel)) == null ? void 0 : _t.gridHouseData) == null ? void 0 : _u.value) == null ? void 0 : _v.house_num) || "-"),
        n: common_vendor.f(common_vendor.unref(pages_me_model.useModel).list, (i, index, i0) => {
          return {
            a: `/static/svg/${i == null ? void 0 : i.icon}.svg`,
            b: common_vendor.t(i.label),
            c: `item_${index}`,
            d: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(pages_me_method.method)) == null ? void 0 : _a2.handleJinGang(i);
            }, `item_${index}`)
          };
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/me/index.vue"]]);
wx.createPage(MiniProgramPage);
